Subject: Re: 802.1p, skb->priority, CoS for transit traffic not working?

From: Patrick McHardy <[email-masked]>
Date: Sun, 05 Oct 2008 18:56:03 +0200

Denys Fedoryshchenko wrote:
> I'm trying to set CoS tag, to manage priorities on my microwave link.
> Possible such setup will be very useful also to set classify traffic passing 
> QoS. A lot of hardware support this simple L2 QoS.
> 
> [...]
> Is there a way to make work changing transit packets 802.1p values?

Bridging traffic to a VLAN device should work, you can then
define the priority for the device. I'm not aware of an easier
method, but I believe act_pedit should also be able to do this.